%define module  XML-DBMS
%define name    perl-%{module}
%define version 1.03
%define release %mkrel 14

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        XML-DBMS perl module
License:        Public Domain
Group:          Development/Perl
URL:            http://www.rpbourret.com/xmldbms/index.htm
Source0:        ftp://ftp.rpbourret.com/perl-xml-dbms-%{version}.tar.bz2
Requires:       perl-libxml-perl
Requires:       perl-XML-LibXML
Requires:       perl-TimeDate
BuildRequires:  perl-devel >= 5.6
BuildRequires:  perl-libxml-perl
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(XML::LibXML::Common)
BuildRequires:  perl-TimeDate
BuildRequires:  perl(DBI)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
XML-DBMS is middleware for transferring data between XML documents and
relational databases. It maps the XML document to the database according
to an object-relational mapping in which element types are generally
viewed as classes and attributes and PCDATA as properties of those
classes. An XML-based mapping language allows the user to specify
customize this mapping.

%prep
%setup -q -n %{module}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf samples/CVS

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README samples xmldbms.dtd
%{perl_vendorlib}/XML

%changelog
* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-14mdv2007.0
- Rebuild

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.03-13mdk
- Fix According to perl Policy
    - BuildRequires

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.03-12mdk
- Fix BuildRequires

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-11mdk 
- remove MANIFEST

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-10mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-9mdk 
- rebuild

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-8mdk
- fixed dir ownership (distlint)
- %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-7mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.03-6mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.03-5mdk
- rebuild
- buildrequires perl-XML-LibXML-Common

* Tue Jul 16 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.03-4mdk
- rebuild with latest perl

* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.03-3mdk
- remove CVS dir from samples
- added missing dtd

* Mon Jun 03 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.03-2mdk
- fixed requires

* Fri May 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.03-1mdk
- first mdk package
